## Introduce
Flutter Plugin for using Bidmad SDK

BidmadSDK is an Ad Develop kit for maximizing advertising revenue in mobile apps.

### Support
| Platform             | AD Type                                                                                                                                                            |
| -------------------- | --------------------------------------------- |
| Android              | Banner / Native / Interstitial / Reward       |                                                                               |
| iOS                  | Banner / Native / Interstitial / Reward       |
| Unity                | Banner / Interstitial / Reward                |
| Flutter              | Reward                                        |

*Banner, Interstital Ad Type will be supported in the future in Flutter Plugin

For platforms other than flutter, [click here](https://github.com/bidmad/SDK/wiki/).

## Programming Guide

### 1. Dart

#### 1) Init AD Object
initialize the FlutterBaseReward object.
```dart
FlutterBaseReward reward = new FlutterBaseReward(
                                 listener: (RewardEvent event, String zoneId) {
                                   if(event == RewardEvent.onLoadAd){ //Return Event Type
                                     print("OK");
                                   }  
                                 }
                             );
```

#### 2) Ad Load & Show
Below is an example of a load & show using a plugin.
Call the defined function from the UI.

*Set the native setting before calling the function.
Please Check the setting guides Android and iOS.
```dart
....
    reward.setAdInfo("Your Zone ID");
    reward.load();
    //Call the show function after receiving onLoadAd from the listener.
    reward.show();
....
```
### 2. Android
Set the Bidmad Channel in MainActivity
*MainActivity file is automatically created when the project is created.
```dart
class MainActivity: FlutterActivity() {
    private var binaryMessenger: BinaryMessenger? = null
    private var reward : FlutterReward? = null

    override fun configureFlutterEngine(@NonNull flutterEngine: FlutterEngine) {
        GeneratedPluginRegistrant.registerWith(flutterEngine);

        binaryMessenger = flutterEngine.dartExecutor.binaryMessenger
        reward = FlutterReward(this)
        reward!!.initChannel(binaryMessenger, reward!!.defualtChannelNm);
    }
}
```